#include<bits/stdc++.h>
using namespace std;
int main()
{
	int n, l;
	cin>>n>>l;
	int ib = 0;
	int mesto = 1;
	int i;
	int br;
	for(i = 0; i < n; i++)
	{
		cin>>br;
		if(ib == 0)
		{
			if(l >= br)
			{
				ib = 1;
			}
			else
			{
				mesto++;
			}
		}
	}
	if(ib == 1)cout<<mesto<<endl;
	else cout<<"-1"<<endl;
	
}